Bug 125620

Summary: Changing font to a Bitstream variant chops off the 'm'
Product: [Fedora] Fedora Reporter: Colin Charles <byte>
Component: gnome-terminalAssignee: Ray Strode [halfline] <rstrode>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: 2   
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2004-10-09 12:12:20 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Colin Charles 2004-06-09 10:15:32 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040510 Epiphany/1.2.4

Description of problem:
When the default font for the Terminal font is set to the Bitstream
Vera Sans Mono, the lowercase 'm' character is chopped off at the end
of the 'm'. 

Version-Release number of selected component (if applicable):
gnome-terminal-2.6.0-2, bitstream-vera-fonts-1.10-3

How reproducible:
Always

Steps to Reproduce:
1. Fedora -> Preferences -> Font
2. In font preferences, change the Terminal Font to "Bistream Vera
Sans Mono", with point size 9
3. Apply, then start gnome-terminal
4. Type someting with an 'm' in it, and take a look (eg. vim <space> -
space so cursor is away from m, and viewable)
    

Actual Results:  'm' at the end, is chopped off

Expected Results:  Normal display of 'm'

Additional info:

Capital 'M' works without issues. Tried in xterm, and the 'm' issue
did not apply. Neither did it apply in a konsole. This seems to only
be a gnome-terminal issue, with the font.
Comment 1 Colin Charles 2004-06-30 20:31:23 EDT
bitstream-vera-fonts-1.10-4 in Rawhide seems to solve this problem,
and I've verified it on PPC, but I'm not sure if its verifiable on
x86. If 10-4 works on x86 and fixes this bug, I think an update for
FC2 users (stable) needs to go out
Comment 2 Colin Charles 2004-08-30 01:37:37 EDT
Works on x86, rawhide latest, can an FC2 update be released?
Comment 3 Colin Charles 2004-10-09 12:12:20 EDT
Fixed with the pango update that Owen pushed out - pango 1.4.1 on 7th
Ocotber 2004.